: Interface nsIMdbFactory

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grendel.storage.mdb
Interface nsIMdbFactory

public abstract interface nsIMdbFactory
extends nsIMdbObject

Method Summary
`boolean` | `CanOpenFilePort(nsIMdbEnv ev, java.lang.String inFilePath, java.lang.String inFirst512Bytes)`
`boolean` | `CanOpenFileStore(nsIMdbEnv ev, java.lang.String inFilePath)`
`nsIMdbStore` | `CreateNewFileStore(nsIMdbEnv ev, java.lang.String inFilePath, grendel.storage.mdb.mdbOpenPolicy inOpenPolicy)`
`java.lang.String` | `getFormatVersion(nsIMdbEnv ev, java.lang.String inFilePath, java.lang.String inFirst512Bytes)`
`nsIMdbEnv` | `MakeEnv()`
`nsIMdbRow` | `MakeRow(nsIMdbEnv ev)`
`grendel.storage.mdb.nsIMdbThumb` | `OpenFilePort(nsIMdbEnv ev, java.lang.String inFilePath, grendel.storage.mdb.mdbOpenPolicy inOpenPolicy)`
`grendel.storage.mdb.nsIMdbThumb` | `OpenFileStore(nsIMdbEnv ev, java.lang.String inFilePath, grendel.storage.mdb.mdbOpenPolicy inOpenPolicy)`
`nsIMdbPort` | `ThumbToOpenPort(nsIMdbEnv ev, grendel.storage.mdb.nsIMdbThumb ioThumb)`
`nsIMdbStore` | `ThumbToOpenStore(nsIMdbEnv ev, grendel.storage.mdb.nsIMdbThumb ioThumb)`

Methods inherited from interface grendel.storage.mdb.nsIMdbObject
`CloseMdbObject, GetMdbFactory, IsFrozenMdbObject, IsOpenMdbObject`

Method Detail

### MakeEnv

    public nsIMdbEnv MakeEnv()

### MakeRow

    public nsIMdbRow MakeRow(nsIMdbEnv ev)

### CanOpenFilePort

    public boolean CanOpenFilePort(nsIMdbEnv ev,
                                   java.lang.String inFilePath,
                                   java.lang.String inFirst512Bytes)

### getFormatVersion

    public java.lang.String getFormatVersion(nsIMdbEnv ev,
                                             java.lang.String inFilePath,
                                             java.lang.String inFirst512Bytes)

### OpenFilePort

    public grendel.storage.mdb.nsIMdbThumb OpenFilePort(nsIMdbEnv ev,
                                                        java.lang.String inFilePath,
                                                        grendel.storage.mdb.mdbOpenPolicy inOpenPolicy)

### ThumbToOpenPort

    public nsIMdbPort ThumbToOpenPort(nsIMdbEnv ev,
                                      grendel.storage.mdb.nsIMdbThumb ioThumb)

### CanOpenFileStore

    public boolean CanOpenFileStore(nsIMdbEnv ev,
                                    java.lang.String inFilePath)

### OpenFileStore

    public grendel.storage.mdb.nsIMdbThumb OpenFileStore(nsIMdbEnv ev,
                                                         java.lang.String inFilePath,
                                                         grendel.storage.mdb.mdbOpenPolicy inOpenPolicy)

### ThumbToOpenStore

    public nsIMdbStore ThumbToOpenStore(nsIMdbEnv ev,
                                        grendel.storage.mdb.nsIMdbThumb ioThumb)

### CreateNewFileStore

    public nsIMdbStore CreateNewFileStore(nsIMdbEnv ev,
                                          java.lang.String inFilePath,
                                          grendel.storage.mdb.mdbOpenPolicy inOpenPolicy)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD